
#define	INCL_WINSYS
#define INCL_WINSTDDLGS

#include <os2.h>

#include "example.h"

ICON	    ID_WINDOW Example.Ico
MENU ID_WINDOW
BEGIN

    SUBMENU "~File",		       IDM_FILE, MIS_TEXT
    BEGIN
	MENUITEM "~Example dialog...\tCtrl+E", IDM_EXAMPLE, MIS_TEXT
	MENUITEM SEPARATOR
	MENUITEM "E~xit\tF3",	       IDM_EXIT, MIS_TEXT
    END
END

CODEPAGE 850
ACCELTABLE ID_WINDOW PRELOAD
BEGIN
    VK_F3,	IDM_EXIT, VIRTUALKEY
END

DLGTEMPLATE DLG_EXAMPLE	850 MOVEABLE DISCARDABLE
BEGIN
    DIALOG "Example Dialog", DLG_EXAMPLE, 116, 75, 150,	52, FS_NOBYTEALIGN |
		FS_DLGBORDER | WS_CLIPSIBLINGS | WS_SAVEBITS | WS_VISIBLE,
		FCF_TITLEBAR | FCF_SYSMENU
    BEGIN
	CONTROL	"Example Dialog created by", -1, 15, 33, 116, 8, WC_STATIC,
					    SS_TEXT | WS_VISIBLE
	CONTROL	"Universal Resource Editor.", -1, 15, 25, 114, 8, WC_STATIC,
					    SS_TEXT | WS_VISIBLE
	CONTROL	"OK",		       DID_OK, 45, 5, 50, 12, WC_BUTTON,
					    BS_PUSHBUTTON | BS_DEFAULT |
					    WS_GROUP | WS_TABSTOP | WS_VISIBLE
    END
END

DLGTEMPLATE DLG_ABOUT 850 MOVEABLE DISCARDABLE
BEGIN
    DIALOG "", DLG_ABOUT, 0, 0,	145, 80, FS_NOBYTEALIGN	| FS_MOUSEALIGN	|
		FS_DLGBORDER | WS_CLIPSIBLINGS | WS_SAVEBITS | WS_VISIBLE
    BEGIN
	CONTROL	ID_WINDOW,	       ID_WINDOW, 57, 50, 21, 16, WC_STATIC,
					    SS_ICON | WS_VISIBLE
	CONTROL	"Example About Box",   -1, 10, 30, 125,	8, WC_STATIC, SS_TEXT |
					    DT_CENTER |	WS_VISIBLE
	CONTROL	"OK",		       DID_OK, 45, 5, 50, 12, WC_BUTTON,
					    BS_PUSHBUTTON | BS_DEFAULT |
					    WS_TABSTOP | WS_VISIBLE
    END
END
